Bug 799858 - Plugin completely unusable because of massive Python interpreter errors
Plugin completely unusable because of massive Python interpreter errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: trac-peerreview-plugin (Show other bugs)
16
noarch Linux
unspecified Severity high
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-05 04:32 EST by aiscape
Modified: 2013-02-13 07:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 07:55:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description aiscape 2012-03-05 04:32:13 EST
Description of problem:
Plugin denies collaboration because of Python interpreter errors and resulting Trac errors

Version-Release number of selected component (if applicable):
trac-peerreview-plugin.noarch 0:0.11-4.svn5357.fc15

How reproducible:
Just try to use the plugin after enabling it

Steps to Reproduce:
1. PeerReview-button in the main nav bar
2.
3.
  
Actual results:
2012-03-02 22:26:50,714 Trac[main] ERROR: Internal Server Error: 
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/trac/web/main.py", line 511, in _dispatch_request
    dispatcher.dispatch(req)
  File "/usr/lib/python2.7/site-packages/trac/web/main.py", line 237, in dispatch
    resp = chosen_handler.process_request(req)
  File "/usr/lib/python2.7/site-packages/codereview/peerReviewBrowser.py", line 92, in process_request
    rev = repos.youngest_rev
AttributeError: 'NoneType' object has no attribute 'youngest_rev'


Expected results:
No errors at all

Additional info:
After fixing this, we come to new errors like the following while pressing the Approve button:
2012-03-05 08:26:41,187 Trac[main] ERROR: Internal Server Error: 
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/trac/web/main.py", line 511, in _dispatch_request
    dispatcher.dispatch(req)
  File "/usr/lib/python2.7/site-packages/trac/web/main.py", line 237, in dispatch
    resp = chosen_handler.process_request(req)
  File "/usr/lib/python2.7/site-packages/codereview/peerReviewView.py", line 169, in process_request
    self.vote("0", reviewID, req)
  File "/usr/lib/python2.7/site-packages/codereview/peerReviewView.py", line 208, in vote
    reviewEntry.save(db)
  File "/usr/lib/python2.7/site-packages/codereview/ReviewerStruct.py", line 46, in save
    cursor.execute(query)
  File "/usr/lib/python2.7/site-packages/trac/db/util.py", line 66, in execute
    return self.cursor.execute(sql)
  File "/usr/lib/python2.7/site-packages/trac/db/sqlite_backend.py", line 78, in execute
    result = PyFormatCursor.execute(self, *args)
  File "/usr/lib/python2.7/site-packages/trac/db/sqlite_backend.py", line 56, in execute
    args or [])
  File "/usr/lib/python2.7/site-packages/trac/db/sqlite_backend.py", line 48, in _rollback_on_error
    return function(self, *args, **kwargs)
ProgrammingError: Cannot operate on a closed cursor.

This was also fixed by myself, a patch can be provided.
Comment 1 aiscape 2012-03-05 04:43:14 EST
Those bugs persist in trac-peerreview-plugin-0.11-6.svn11062.fc17.noarch
Comment 2 Chitlesh GOORAH 2012-03-13 17:01:03 EDT
I'm no longer interested in this package. Do you want to co-maintain it ?
Comment 3 aiscape 2012-03-14 05:13:35 EDT
(In reply to comment #2)
> I'm no longer interested in this package. Do you want to co-maintain it ?

Whatever that means for me. Maybe you could describe it a bit. At least I can provide a patch that this package is working again. It would nice, if it could be achieved rather soon.
Comment 4 Fedora End Of Life 2013-01-16 07:35:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 07:56:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.